FTPSTrustManager
Date: 2016-06-23

org.apache.commons.net.ftp

## Class FTPSTrustManager

- java.lang.Object
- - org.apache.commons.net.ftp.FTPSTrustManager

- All Implemented Interfaces:
    javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager

  Deprecated.
  3.0 use `TrustManagerUtils#getValidateServerCertificateTrustManager()` instead

      @Deprecated
      public class FTPSTrustManager
      extends java.lang.Object
      implements javax.net.ssl.X509TrustManager

  Do not use.
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FTPSTrustManager()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkClientTrusted(java.security.cert.X509Certificate[] certificates, java.lang.String authType)` Deprecated. No-op
    `void` | `checkServerTrusted(java.security.cert.X509Certificate[] certificates, java.lang.String authType)` Deprecated.
    `java.security.cert.X509Certificate[]` | `getAcceptedIssuers()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FTPSTrustManager

          public FTPSTrustManager()

      Deprecated.

  - ### Method Detail

    - #### checkClientTrusted

          public void checkClientTrusted(java.security.cert.X509Certificate[] certificates,
                                java.lang.String authType)

      Deprecated.
      No-op
      Specified by:
        `checkClientTrusted` in interface `javax.net.ssl.X509TrustManager`

    - #### checkServerTrusted

          public void checkServerTrusted(java.security.cert.X509Certificate[] certificates,
                                java.lang.String authType)
                                  throws java.security.cert.CertificateException

      Deprecated.
      Specified by:
        `checkServerTrusted` in interface `javax.net.ssl.X509TrustManager`
      Throws:
        `java.security.cert.CertificateException`

    - #### getAcceptedIssuers

          public java.security.cert.X509Certificate[] getAcceptedIssuers()

      Deprecated.
      Specified by:
        `getAcceptedIssuers` in interface `javax.net.ssl.X509TrustManager`